Skip to content

getMethodMaterialsByMakeMethod

READ

Get method materials by make method.

POST /api/v1/items/getMethodMaterialsByMakeMethod
curl -X POST '<your-host>/api/v1/items/getMethodMaterialsByMakeMethod' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "makeMethodId": "string"
  }'
Response
{
  "results": [
    {
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "id": "string",
      "itemId": "string",
      "itemType": "string",
      "kit": true,
      "makeMethodId": "string",
      "materialMakeMethodId": "string",
      "methodOperationId": "string",
      "methodType": "Purchase to Order",
      "order": 0,
      "productionQuantity": 0,
      "quantity": 0,
      "scrapQuantity": 0,
      "sourcingType": "Specified",
      "storageUnitIds": "…",
      "tags": [
        "string"
      ],
      "unitOfMeasureCode": "string",
      "updatedAt": "string",
      "updatedBy": "string",
      "item": {
        "name": "string",
        "itemTrackingType": "Inventory",
        "replenishmentSystem": "Buy",
        "defaultMethodType": "Purchase to Order",
        "sourcingType": "Specified"
      },
      "methodMaterialStep": [
        {
          "methodOperationStepId": "string",
          "quantity": 0
        }
      ]
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "makeMethodId": {
      "type": "string"
    }
  },
  "required": [
    "makeMethodId"
  ]
}